Subject: Re: linux-next: build failure after merge of the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 27 Sep 2018 07:27:05 +1000

Hi Bjorn,

On Wed, 26 Sep 2018 14:48:10 -0500 Bjorn Helgaas <[email-masked]> wrote:
>
> On Wed, Sep 26, 2018 at 9:56 AM Keith Busch <[email-masked]> wrote:
> >
> > On Wed, Sep 26, 2018 at 08:25:40AM -0600, Keith Busch wrote:  
> > >
> > > Thanks for the notice. Does this mean you don't have CONFIG_SYSFS? I
> > > must admit I missed that connection for building slot.c.

Yes, it was an "allnoconfig" powerpc build.

> > There's unfortunately second bug here when there are no slots, which
> > would be the case without CONFIG_SYSFS: the slot list is empty, and the
> > function just returned success, but it should have gone to the default
> > secondary bus reset behavior in that case. I'll send a patch shortly.  
> 
> I folded in Keith's patch for this, so you should be able to drop your
> workaround, Stephen.

OK, thanks.

-- 
Cheers,
Stephen Rothwell